Get a list of all reports Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/static/reports

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • id string
      • name string
      • description string
GET /api/v1/static/reports
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/static/reports' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "id": "actual_vs_estimate_report",
      "name": "Actual vs Estimate Report",
      "description": "List all expectations with their original expected amount and the actual amount received."
    },
    {
      "id": "adviser_income_detailed",
      "name": "Adviser Income Detailed",
      "description": "List all detailed income within a date range."
    },
    {
      "id": "aged_debt_report",
      "name": "Aged Debt Report",
      "description": "List all expectations which still need reconciling to bank transactions."
    },
    {
      "id": "staff_member_export",
      "name": "Business Staff Member Export",
      "description": "Export all of the business clients with their staff members."
    },
    {
      "id": "cases_export",
      "name": "Cases export",
      "description": "Export all cases"
    },
    {
      "id": "charges_export",
      "name": "Charges Export",
      "description": "Export charges."
    },
    {
      "id": "client_expenditure_export",
      "name": "Client Expenditure Export",
      "description": "Export all of the Life Stage Expenditures for clients."
    },
    {
      "id": "client_export",
      "name": "Client Export",
      "description": "Export all clients."
    },
    {
      "id": "client_or_circle_expenditure_export",
      "name": "Client or Circle Expenditure Export",
      "description": "Export the Life Stage Expenditures for a single client or for a circle. Optionally include shared circle expenditures when targeting an individual client."
    },
    {
      "id": "conversion_pipeline",
      "name": "Conversion Pipeline",
      "description": "Shows the number of prospects that have converted to clients between two dates."
    },
    {
      "id": "employee_export",
      "name": "Employee Export",
      "description": "Export all employees."
    },
    {
      "id": "form_submission_export",
      "name": "Form Submission Export",
      "description": "Export all submissions for a form"
    },
    {
      "id": "group_scheme_members_export",
      "name": "Group Scheme Members Export",
      "description": "Provides a detailed export of the members on a given group scheme. Can be used with the group scheme member importer to bulk update members."
    },
    {
      "id": "holding_export",
      "name": "Holding Export",
      "description": "An export of a firms or clients holdings"
    },
    {
      "id": "income_reconciliation_export",
      "name": "Income Reconciliation Export",
      "description": "Export all income reconciliation data for a monthly statement or a given date range."
    },
    {
      "id": "new_business_export",
      "name": "New Business Export",
      "description": "Data export of all New Business Events on a firm."
    },
    {
      "id": "new_business_summary_report",
      "name": "New Business Summary Report",
      "description": "Summary Report of New Business Events on a firm."
    },
    {
      "id": "note_export",
      "name": "Notes Export",
      "description": "Export all notes on your firm"
    },
    {
      "id": "plan_export",
      "name": "Plan Export",
      "description": "Data export of all plans on a firm."
    },
    {
      "id": "premium_export",
      "name": "Premium Export",
      "description": "Export premium for plans."
    },
    {
      "id": "rmar",
      "name": "RMAR",
      "description": "RMAR Report."
    },
    {
      "id": "revenue_analysis_based_on_receipts",
      "name": "Revenue Analysis Based On Receipts",
      "description": "Report detailing all revenue reconciled in a payment period or between dates based on bank receipts."
    },
    {
      "id": "task_export",
      "name": "Task Export",
      "description": "Export All Tasks"
    },
    {
      "id": "time_entries",
      "name": "Time Entries Export",
      "description": "Full company time report."
    },
    {
      "id": "valuation_report",
      "name": "Valuation Report",
      "description": "Valuation Report"
    }
  ]
}